io.netty.handler.codec.redis

## Class RedisCodecException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.netty.handler.codec.CodecException
        - - io.netty.handler.codec.redis.RedisCodecException

All Implemented Interfaces:
  Serializable

    @UnstableApi
    public final class RedisCodecException
    extends io.netty.handler.codec.CodecException

An `Exception` which is thrown by `RedisEncoder` or `RedisDecoder`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RedisCodecException(String message)` Creates a new instance.
`RedisCodecException(Throwable cause)` Creates a new instance.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RedisCodecException

    public RedisCodecException(String message)

Creates a new instance.

#### RedisCodecException

    public RedisCodecException(Throwable cause)

Creates a new instance.